$(function() {
  $('a[href*=#]:not([href=#])').click(function() {
    if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
      var target = $(this.hash);
      target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
      if (target.length) {
        $('html,body').animate({
          scrollTop: target.offset().top
        }, 800);
        return false;
      }
    }
  });
});

$(window).resize(function(){
	windowResize();
});

function topScroll(){
	var body = $("body");
	var top = body.scrollTop() // Get position of the body
	if(top!=0){body.animate({scrollTop:0}, '400');}
}

function windowResize(){
	var div = $('#banner');
	var width = div.width();
	if(width < 780 && window.screen.width >= 780){width = 780;}
	var height = parseInt(width*.469) + 'px';
	$("#banner").css('height',height);

	bannerMargin = parseInt((width - 780)/2) + 'px';
	$("#bannerText").css('margin-left',bannerMargin);
	$("#bannerTextBox").css('margin-left',bannerMargin);

}

function getJSON(url,theFunction){
	$.ajax({type: 'GET', url: url, async: true, jsonpCallback: 'jsonCallback', contentType: "application/json", dataType: 'jsonp', timeout: 5000, cache: false,
    	success: function(json){window[theFunction](json);},
    	error: function(e,i,k) {}
    });
}

function submitForm(){
	if(document.getElementById('email').value.indexOf('@') < 1){
		alert('Please enter a valid e-mail address');
	} else {
		var theURL = 'submit.php?name=' + encodeURIComponent(document.getElementById('name').value) + '&company=' + encodeURIComponent(document.getElementById('company').value) + '&address=' + encodeURIComponent(document.getElementById('address').value) + '&email=' + encodeURIComponent(document.getElementById('email').value) + '&phone=' + encodeURIComponent(document.getElementById('phone').value) + '&inquiry=' + encodeURIComponent(document.getElementById('inquiry').value);
		getJSON(theURL,'emailSent');
	}
}

function emailSent(json){
	$("#form").html(json.response);
}